org.eclipse.emf.cdo.transaction

## Interface CDOConflictResolver.NonConflictAware

- All Superinterfaces:
    CDOConflictResolver
  All Known Implementing Classes:
    AbstractChangeSetsConflictResolver, CDOMergingConflictResolver
  Enclosing interface:
    CDOConflictResolver

      public static interface CDOConflictResolver.NonConflictAware
      extends CDOConflictResolver

  A mix-in interface for `conflict resolvers` that need to know about non-conflicting invalidations.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

      `CDOConflictResolver.NonConflictAware`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleNonConflict(long updateTime)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

      `getTransaction, resolveConflicts, setTransaction`

- - ### Method Detail

    - #### handleNonConflict

          void handleNonConflict(long updateTime)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html